#!/usr/bin/perl -w

# webput   - (c) Olaf Schmidt, 20.9.1998, olaf.schmidt@gmx.de
#
# usage: webput site user pw localdir/ remotedir/
#
# example:
# find /home/olaf/public_html/ -newer /home/olaf/webput/webput|\
# webput dodo.rhein.de olaf password /home/olaf/public_html/ /home/olaf/tmp/|\
# ftp -n


$site=$ARGV[0];
$user=$ARGV[1];
$password=$ARGV[2];
$localdir=$ARGV[3];
$remotedir=$ARGV[4];

die "usage: webput site user pw localdir/ remotedir/\n" 
   unless ($site && $user && $password && $remotedir && $localdir);

print "open $site\nuser $user $password\n";

while(<STDIN>) {
  chomp($_);
  $file=$_;
  $_=~s/$localdir//;
  if(-d $file) {  print "mkdir $remotedir$_"; }
  elsif(-f $file) {  print "put $localdir$_ $remotedir$_"; }
  print "\n";
}

print "bye\n";
